package eu.etaxonomy.taxeditor.navigation;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

public class Perspective implements IPerspectiveFactory {

	public void createInitialLayout(IPageLayout layout) {
		String editorArea = layout.getEditorArea();
		layout.setEditorAreaVisible(false);
		layout.setFixed(true);
		
		layout.addView("eu.etaxonomy.taxeditor.navigation.taxonomictree.treeView",  IPageLayout.LEFT, 1.0f, editorArea);
		layout.addView("eu.etaxonomy.taxeditor.navigation.search.searchView", IPageLayout.LEFT, 1.0f, editorArea);
	}
}
