/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.description;

import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
import eu.etaxonomy.cdm.model.description.Feature;
import eu.etaxonomy.cdm.model.description.TaxonDescription;

/**
 * @author p.ciardell
 * @created 22.12.2008
 * @version 1.0
 */
public interface IDescriptionEditorCompositeRepository {

	public Composite getDescriptionLabel(TaxonDescription description);
	
	public Composite getDescriptionElement(DescriptionElementBase element);
	
	public Composite getDescriptionGroup(TaxonDescription description);
	
	public Composite getDescriptionFeatureGroup(TaxonDescription description,
			Feature feature);
}
