/**
 * 
 */
package eu.etaxonomy.taxeditor.forms;

import org.eclipse.jface.util.IPropertyChangeListener;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;

/**
 * A multilined text widget that has a label on top of it.
 * 
 * @author n.hoffmann
 * @created Nov 9, 2009
 * @version 1.0
 */
public class MultilineTextWithLabel extends TextWithLabelComposite {
	
	/**
	 * @param parent
	 * @param labelString
	 * @param initialText
	 * @param style
	 */
	protected MultilineTextWithLabel(Composite parent, String labelString,
			String initialText, IPropertyChangeListener listener, int textHeight, int style) {
		// experimenting with "SWT.V_SCROLL" 
		super(parent, labelString, initialText, listener, true, style);
		GridData gd = new GridData(SWT.FILL, SWT.TOP, true, true);
		gd.heightHint = textHeight;
		text.setLayoutData(gd);
	}





}
