// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.forms.termcombos;

import java.util.List;

import org.eclipse.jface.util.IPropertyChangeListener;
import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.cdm.model.name.NomenclaturalStatusType;
import eu.etaxonomy.taxeditor.preference.PreferencesUtil;

/**
 * @author n.hoffmann
 * @created Nov 5, 2009
 * @version 1.0
 */
public class NomenclaturalStatusTypeComboComposite extends
		AbstractTermComboComposite<NomenclaturalStatusType> {
	/**
	 * @param parent
	 * @param labelString
	 * @param selection
	 * @param listener
	 * @param visibleItems
	 * @param style
	 */
	public NomenclaturalStatusTypeComboComposite(Composite parent,
			String labelString, NomenclaturalStatusType selection,
			IPropertyChangeListener listener, int visibleItems, int style) {
		super(parent, labelString, selection, listener, visibleItems, style);
	}


	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.forms.termcombos.AbstractTermComboComposite#preferredTerms()
	 */
	@Override
	protected List<NomenclaturalStatusType> preferredTerms() {
		return PreferencesUtil.getPreferredNomenclaturalStatusTypes();
	}
}
