/**
 * 
 */
package eu.etaxonomy.taxeditor.labels;

import org.eclipse.swt.graphics.Image;

import eu.etaxonomy.cdm.model.name.NameRelationshipType;

/**
 * @author p.ciardelli
 *
 */
public interface ILabelImageStrategy {

	String getNameRelationTypeLabel(NameRelationshipType type);
	
	String getNameRelationTypeInverseLabel(NameRelationshipType type);
	
	Image getNameRelationTypeImage(NameRelationshipType type);
	
	String getNameRelationTypeDescription(NameRelationshipType type);
}
